"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfiguration = void 0;
const tslib_1 = require("tslib");
const resolve_configuration_path_1 = tslib_1.__importDefault(require("serverless/lib/cli/resolve-configuration-path"));
const read_1 = tslib_1.__importDefault(require("serverless/lib/configuration/read"));
async function getConfiguration() {
    const configurationPath = await resolve_configuration_path_1.default();
    if (!configurationPath) {
        throw new Error(`Unable to find configuration file`);
    }
    const configuration = await read_1.default(configurationPath);
    return {
        configurationPath,
        configuration,
    };
}
exports.getConfiguration = getConfiguration;
//# sourceMappingURL=getConfiguration.js.map