"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runChildProcess = void 0;
const child_process_1 = require("child_process");
function runChildProcess(cmd, args, env, watchMode) {
    const cp = child_process_1.spawn(cmd, args, { env, stdio: 'inherit' });
    cp.on('close', (code) => {
        if (!watchMode) {
            process.exitCode = code !== null && code !== void 0 ? code : 1;
        }
    });
    cp.on('exit', (code) => {
        if (!watchMode) {
            process.exitCode = code !== null && code !== void 0 ? code : 1;
        }
    });
    cp.on('error', () => {
        if (!watchMode) {
            process.exitCode = 1;
        }
    });
    return cp;
}
exports.runChildProcess = runChildProcess;
//# sourceMappingURL=runChildProcess.js.map