"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setEnvVars = void 0;
function setEnvVars(environmentVariables, namespace) {
    for (const [key, value] of Object.entries(environmentVariables)) {
        setEnvVar(key, value);
        if (namespace) {
            setEnvVar(`${namespace}_${key}`, value);
        }
    }
}
exports.setEnvVars = setEnvVars;
function setEnvVar(key, value) {
    if (process.env[key]) {
        return;
    }
    process.env[key] = value;
}
//# sourceMappingURL=setEnvVars.js.map